package com.dcit.danger.service;

import com.dcit.danger.model.THiddenTrouble;
import com.dcit.danger.model.THiddenTroubleExample;

import java.util.List;
import java.util.Map;

public interface THiddenTroubleService {
	
	long countByExample(THiddenTroubleExample example);

    List<Map<Object, Object>> countByEnterprise();

    int deleteByExample(THiddenTroubleExample example);

    int deleteByPrimaryKey(String id);

    int insert(THiddenTrouble record);

    int insertSelective(THiddenTrouble record);

    List<THiddenTrouble> selectByExample(THiddenTroubleExample example);

    THiddenTrouble selectByPrimaryKey(String id);

    int updateByExampleSelective(THiddenTrouble record, THiddenTroubleExample example);

    int updateByExample(THiddenTrouble record, THiddenTroubleExample example);

    int updateByPrimaryKeySelective(THiddenTrouble record);

    int updateByPrimaryKey(THiddenTrouble record);

}
